#ifndef _GRAPHSUP_H
#define _GRAPHSUP_H

#define RECT_BUTTON 0
#define CIRCLE_BUTTON 1

//Représente un bouton rectangulaire.
struct rectButton {
    int x;
    int y;
    int w;
    int h;
    char* id;
};

//Représente un bouton circulaire.
struct circleButton {
    int x;
    int y;
    int r;
    char* id;
};

//Représente un bouton 
struct button {
    void* pointer;
    unsigned char type;
    button* next;
};

typedef struct rectButton rectButton;
typedef struct circleButton circleButton;
typedef struct button button;


void setFramerate(int framerate);
int nextFrame(void);

couleur getColorN(char* name);
couleur getColor(unsigned char r, unsigned char g, unsigned char b);

#endif